polkit-0.96-11.el6.i686.rpm


Advertisement

Description

polkit - PolicyKit Authorization Framework

Property Value
Distribution CentOS 6
Repository CentOS i386
Package filename polkit-0.96-11.el6.i686.rpm
Package name polkit
Package version 0.96
Package release 11.el6
Package architecture i686
Package type rpm
Category System Environment/Libraries
Homepage http://www.freedesktop.org/wiki/Software/PolicyKit
License LGPLv2+
Maintainer -
Download size 161.37 KB
Installed size 600.92 KB
PolicyKit is a toolkit for defining and handling authorizations.
It is used for allowing unprivileged processes to speak to privileged
processes.

Alternatives

Package Version Architecture Repository
polkit-0.96-11.el6_10.1.x86_64.rpm 0.96 x86_64 CentOS Updates
polkit-0.96-11.el6_10.1.i686.rpm 0.96 i686 CentOS Updates
polkit-0.96-11.el6_10.1.i686.rpm 0.96 i686 CentOS Updates
polkit-0.96-11.el6.x86_64.rpm 0.96 x86_64 CentOS
polkit-0.96-11.el6.i686.rpm 0.96 i686 CentOS
polkit - - -

Requires

Name Value
/sbin/ldconfig -
ConsoleKit -
dbus -
gawk -
libc.so.6(GLIBC_2.7) -
libeggdbus-1.so.0 -
libexpat.so.1 -
libgio-2.0.so.0 -
libglib-2.0.so.0 -
libgmodule-2.0.so.0 -
libgobject-2.0.so.0 -
libgthread-2.0.so.0 -
libpam.so.0 -
libpam.so.0(LIBPAM_1.0) -
libpthread.so.0 -
libpthread.so.0(GLIBC_2.0) -
librt.so.1 -
rtld(GNU_HASH) -

Provides

Name Value
PolicyKit = 0.11
libnullbackend.so -
libpkexec-action-lookup.so -
libpolkit-agent-1.so.0 -
libpolkit-backend-1.so.0 -
libpolkit-gobject-1.so.0 -
polkit = 0.96-11.el6
polkit(x86-32) = 0.96-11.el6

Obsoletes

Name Value
PolicyKit <= 0.10

Download

Type URL
Mirror mirror.centos.org
Binary Package polkit-0.96-11.el6.i686.rpm
Source Package polkit-0.96-11.el6.src.rpm

Install Howto

Install polkit rpm package:

# yum install polkit

Files

Path
/etc/dbus-1/system.d/org.freedesktop.PolicyKit1.conf
/etc/pam.d/polkit-1
/etc/polkit-1/
/etc/polkit-1/localauthority/
/etc/polkit-1/localauthority.conf.d/50-localauthority.conf
/etc/polkit-1/localauthority.conf.d/60-desktop-policy.conf
/etc/polkit-1/localauthority/10-vendor.d/
/etc/polkit-1/localauthority/20-org.d/
/etc/polkit-1/localauthority/30-site.d/
/etc/polkit-1/localauthority/50-local.d/
/etc/polkit-1/localauthority/90-mandatory.d/
/etc/polkit-1/nullbackend.conf.d/50-nullbackend.conf
/usr/bin/pkaction
/usr/bin/pkcheck
/usr/bin/pkexec
/usr/lib/libpolkit-agent-1.so.0
/usr/lib/libpolkit-agent-1.so.0.0.0
/usr/lib/libpolkit-backend-1.so.0
/usr/lib/libpolkit-backend-1.so.0.0.0
/usr/lib/libpolkit-gobject-1.so.0
/usr/lib/libpolkit-gobject-1.so.0.0.0
/usr/lib/polkit-1/
/usr/lib/polkit-1/extensions/libnullbackend.so
/usr/lib/polkit-1/extensions/libpkexec-action-lookup.so
/usr/libexec/polkit-1/polkit-agent-helper-1
/usr/libexec/polkit-1/polkitd
/usr/share/dbus-1/system-services/org.freedesktop.PolicyKit1.service
/usr/share/doc/polkit-0.96/COPYING
/usr/share/locale/da/LC_MESSAGES/polkit-1.mo
/usr/share/man/man1/pkaction.1.gz
/usr/share/man/man1/pkcheck.1.gz
/usr/share/man/man1/pkexec.1.gz
/usr/share/man/man8/pklocalauthority.8.gz
/usr/share/man/man8/polkit.8.gz
/usr/share/man/man8/polkitd.8.gz
/usr/share/polkit-1/
/usr/share/polkit-1/actions/org.freedesktop.policykit.policy
/var/lib/polkit-1/
/var/lib/polkit-1/localauthority/
/var/lib/polkit-1/localauthority/10-vendor.d/
/var/lib/polkit-1/localauthority/20-org.d/
/var/lib/polkit-1/localauthority/30-site.d/
/var/lib/polkit-1/localauthority/50-local.d/
/var/lib/polkit-1/localauthority/90-mandatory.d/

Changelog

2015-03-07 - Miloslav Trmač <mitr@redhat.com> - 0.96-11
- Gracefully handle race conditions and other failures to kill polkitd
Related: #1115649
2015-03-04 - Miloslav Trmač <mitr@redhat.com> - 0.96-10
- Fix scriptlet failure when polkitd is not running
Related: #1115649
2015-03-03 - Miloslav Trmač <mitr@redhat.com> - 0.96-9
- Restart polkitd on package upgrade or uninstallation
Resolves: #1115649
2015-02-20 - Miloslav Trmač <mitr@redhat.com> - 0.96-8
- Fix text in (pkcheck --help)
Resolves: #1130156
2014-08-27 - Miloslav Trmač <mitr@redhat.com> - 0.96-7
- Fix a crash on failure to read a command line of a process
Resolves: #1132830
2014-06-10 - Miloslav Trmač <mitr@redhat.com> - 0.96-6
- Use real --help text and error messages instead of showing a man page in
pkaction and pkcheck.  Fix description of (pkaction --action-id) in the man 
page.
Resolves: #628862
- Add support for Identity=default in .pkla files
Resolves: #812684
- Use a consistent order for .pkla files within a directory.  Based on a patch
by Jared Jennings <jared.jennings.ctr@eglin.af.mil>.
Resolves: #864613
- Build using PIE and relro
Resolves: #927406
2013-09-17 - Miloslav Trmač <mitr@redhat.com> - 0.96-5
- Actually apply the patch, and modify it to apply to 0.96
- Resolves: #1006264
2013-09-13 - Jan Lieskovsky <jlieskov@redhat.com> - 0.96-4.el6
- Include fix for CVE-2013-4288
- Resolves: #1006264
2011-04-11 - David Zeuthen <davidz@redhat.com> - 0.96-3.el6
- Include fixes for CVE-2011-1485
- Resolves: #692942
2010-06-21 - Matthias Clasen <mclasen@redhat.com> - 0.96-2
- Fix a multilib problem
Resolves: #605099

See Also

Package Description
polkit-desktop-policy-0.96-11.el6.noarch.rpm Roles and default policy for desktop usage
polkit-devel-0.96-11.el6.i686.rpm Development files for PolicyKit
polkit-docs-0.96-11.el6.i686.rpm Development documentation for PolicyKit
polkit-gnome-0.96-4.el6.i686.rpm PolicyKit integration for the GNOME desktop
polkit-gnome-devel-0.96-4.el6.i686.rpm Development files for polkit-gnome
polkit-gnome-docs-0.96-4.el6.i686.rpm Development documentation for polkit-gnome
poppler-0.12.4-12.el6_9.i686.rpm PDF rendering library
poppler-data-0.4.0-1.el6.noarch.rpm Encoding files
poppler-devel-0.12.4-12.el6_9.i686.rpm Libraries and headers for poppler
poppler-glib-0.12.4-12.el6_9.i686.rpm Glib wrapper for poppler
poppler-glib-devel-0.12.4-12.el6_9.i686.rpm Development files for glib wrapper
poppler-qt-0.12.4-12.el6_9.i686.rpm Qt3 wrapper for poppler
poppler-qt-devel-0.12.4-12.el6_9.i686.rpm Development files for Qt3 wrapper
poppler-qt4-0.12.4-12.el6_9.i686.rpm Qt4 wrapper for poppler
poppler-qt4-devel-0.12.4-12.el6_9.i686.rpm Development files for Qt4 wrapper
Advertisement
Advertisement